#!/bin/sh

DIRNAME=`dirname $0`
ROOT=$DIRNAME/..
DIRNAME=`(cd $DIRNAME && pwd)`

ROOT_LIB="$ROOT/lib"
SERVER_LIB="$ROOT/server/default/lib"

PASSWORD_FILE="$ROOT/server/default/data/hsmpasswd.txt"

CLASSPATH="$ROOT_LIB/commons-logging.jar" 
CLASSPATH="$CLASSPATH:$DIRNAME/pf-consoleutils.jar"
CLASSPATH="$CLASSPATH:$SERVER_LIB/pf-protocolengine.jar"
CLASSPATH="$CLASSPATH:$SERVER_LIB/xmlbeans.jar"

java -classpath $CLASSPATH -Dpassword.file=$PASSWORD_FILE com.pingidentity.console.PasswordChanger HSM $@
