<!--
*******************************************************************************
* Copyright (C) 2006 Ping Identity Corporation All rights reserved.
*
* This software is licensed under the Open Software License v2.1 (OSL v2.1).
*
* A copy of this license has been provided with the distribution of this
* software. Additionally, a copy of this license is available at:
* http://opensource.org/licenses/osl-2.1.php
*
******************************************************************************
-->
<%@ Page language="c#" Codebehind="mainForm.aspx.cs" AutoEventWireup="false" Inherits="Com.PingIdentity.PingFederate.SampleApp.SpSample.web.MainForm" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" >
<HTML>
	 <HEAD>
			<title>Service Provider Main Page</title>
			<link rel="stylesheet" type="text/css" href="style.css">
			<meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
			<meta name="CODE_LANGUAGE" Content="C#">
			<meta name="vs_defaultClientScript" content="JavaScript">
			<meta name="vs_targetSchema" content="http://schemas.microsoft.com/intellisense/ie5">
			<script type="text/javascript" src="scripts/common.js"></script>
			<script language="javascript">
				function initiateSSO(url,forceAuthn,isPassive) {
					if(document.all[forceAuthn].checked) {
						url += "&ForceAuthn=true";
					}
					if(document.all[isPassive].checked) {
						url += "&IsPassive=true";
					}
					window.location = url;
				}
			</script>
	 </HEAD>
	 <body MS_POSITIONING="FlowLayout">
		  <div align=center>
		  
		  
	<table class="mainsp">
		<tr>
			<td COLSPAN="2">
			<img src="images/products_pf_no_version.png">
			<h1 class="sp">Service Provider Main Page</h1>
			<span class="description">This is the main page of the SP Sample Application.<br>You can initiate Single Sign on to any of the configured IdP connections or perform single logout.</span>
			<br><br>
			</td>
		</tr>
		<tr>
            <td align="center" class="rightbody" valign="top">
				<% this.ShowIdpConnections(); %>
          </td>
		<td align="center" class="rightbody" valign="top">
			<table class="sub">
				<tr>
					<td colspan="2">
						<div class="headersp">
							User Attributes
							<a href="javascript:openHelp('help.html?#userattributes');">
								<img src="images/HelpIcon.gif" border="0">
							</a>
						</div>
					</td>
				</tr>
				<% this.ShowUserAttributes(); %>
			</table>
			<br>
			<table class="sub">
				<tr>
					<td>
						<div class="headersp">
							Single Logout
							<a href="javascript:openHelp('help.html?#slo');">
								<img src="images/HelpIcon.gif" border="0">
							</a>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<span class="text">Click on the link for Single logout</span>
					</td>
				</tr>
				<tr>
					<td>
						<a class="text" id="SpSLOUrl" name="spSLOUrl" runat="server">Single Logout</a>
					</td>
				</tr>
			</table>
			<br>
			<table class="sub">
				<tr>
					<td>
						<div class="headersp">
							Local Logout
							<a href="javascript:openHelp('help.html?#logout');">
								<img src="images/HelpIcon.gif" border="0">
							</a>
						</div>
					</td>
				</tr>
				<tr>
					<td>
						<span class="text">Click on the link for Local logout</span>
					</td>
				</tr>
				<tr>
					<td>
						<a class="text" href="/SpSample/?cmd=logout">Local Logout</a>
					</td>
				</tr>
			</table>
			<% this.ShowDefederateLink(); %>																										
		</td>
      </tr>
    </table>
      
		
			
      <br><br>
      
		<table width="500">
			<tr>
				<td align="center" style="font-size:10px;">
				<b>Related Links</b>
				<br>
				<a href="http://www.pingidentity.com/products/pingfederate">Overview</a> | <a href="http://www.pingidentity.com/products/federation_overview">About Federation</a> | <a href="http://www.pingidentity.com/products/integration">Integration</a>
				</td>
			</tr>
			<tr>
				<td class="version" style="text-align:center;">
					<a href="mailto:support@pingidentity.com">support@pingidentity.com</a> 
				</td>           
			</tr>
			<tr>
				<td class="version" style="text-align:center;">
					<a target="_new" href="http://www.pingidentity.com"><img src="images/ping_logo.gif" border="0"></a><br/><br/>
						&copy; 2003-2006 Ping Identity Corporation<br/>
						All Rights Reserved
				</td>
			</tr>
		</table>
		  </div>
	 </body>
</HTML>
